/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


package com.vektorsoft.demux.samples.extend.android;

import com.vektorsoft.demux.samples.extension.SimpleCallback;
import java.util.HashMap;
import java.util.Map;
import java.util.Random;

/**
 *
 * @author Vladimir Djurovic
 */
public class SimpleCallbackImpl extends SimpleCallback {

     private Random random = new Random();
     private int value;
     private Map<String, Object> dataMap = new HashMap<String, Object>();

    @Override
    public void doRandom() {
        System.out.println("Invoking callback..");
        value = random.nextInt(10);
    }

    @Override
    public void setDataValuesFromModel(Map<String, Object> dataMap) {
        if(dataMap.containsKey("randomVal")){
            value = (Integer)dataMap.get("randomVal");
        }
    }

    @Override
    public Map<String, Object> getCallbackData() {
        dataMap.put("randomVal", value);
        return dataMap;
    }

    @Override
    public String[] getResourceBundles() {
        return new String[0];
    }
    
}
